set(0,'defaultaxesfontsize',12);

P = 1000;
L = 100;
M = 10;

f = linspace(0.00,0.04,3000);

f0 = 0.023;

f00 = f0 + 0.5*(1/P);

f000 = f0 + 1*(1/P);


% FAF(w0,w) = abs ( diric(w0-w,L) * diric(P*w0 - L*w,M) )


A = diric ( 2*pi*(f0-f), L );
B = diric ( P*2*pi*f0 - L*2*pi*f, M);
FAF = abs ( A .* B);

AA = diric ( 2*pi*(f00-f), L );
BB = diric ( P*2*pi*f00 - L*2*pi*f, M);
FAF2 = abs ( AA .* BB);

AAA = diric ( 2*pi*(f000-f), L );
BBB = diric ( P*2*pi*f000 - L*2*pi*f, M);
FAF3 = abs ( AAA .* BBB);



gray = [0.6,0.6,0.6];
subplot(3,2,1)
    h=plot ( f,abs(A),'b-', f,abs(B),'c');
    set(h(2),'color',gray);

subplot(3,2,2)
    plot(f,FAF,'k-', [f0,f0],[0.3 0.6],'b-');
    set(gca,'ylim',[0,1])
    s = '\omega_0/\omega_s = u_0';
    text(0.001,0.8,s);
    ss = 'u_0 = 0.023';
    text(f0 + 0.001,0.5,ss);
    h = ylabel('FAF');
    h = ylabel('FAF');



subplot(3,2,3)
    h=plot ( f,abs(AA),'b-', f,abs(BB),'c');
    set(h(2),'color',gray);

subplot(3,2,4)
    plot(f,FAF2,'k-', [f0,f0],[0.3 0.6],'c-', [f00,f00],[0.3 0.65],'b-');
    set(gca,'ylim',[0,1])
    s = '\omega_0/\omega_s = u_0 + 0.5/P';
    text(0.001,0.8,s);
    h = ylabel('FAF');



subplot(3,2,5)
    h=plot ( f,abs(AAA),'b-', f,abs(BBB),'r');
    set(h(2),'color',gray);
    h = xlabel('\omega/\omega_s');

subplot(3,2,6)
    plot(f,FAF3,'k-', ...
        [f0,f0],[0.3 0.6],'c-', [f00,f00],[0.3 0.65],'c-',...
        [f000,f000],[0.3 0.7],'b-');
    set(gca,'ylim',[0,1])
    s = '\omega_0/\omega_s = u_0 + 1.0/P';
    text(0.001,0.8,s);
    h = xlabel('\omega / \omega_s');
    h = ylabel('FAF');
